Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface DSAParams

All Known Implementing Classes:
  DSAParameterSpec

    public interface DSAParams

Interface to a DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  `DSAKey`, `Key`, `Signature`

Method Summary
`BigInteger` | `getG()` Returns the base, `g`.
`BigInteger` | `getP()` Returns the prime, `p`.
`BigInteger` | `getQ()` Returns the subprime, `q`.

Method Detail

### getP

    BigInteger getP()

  Returns the prime, `p`.

  Returns:
    the prime, `p`.

### getQ

    BigInteger getQ()

  Returns the subprime, `q`.

  Returns:
    the subprime, `q`.

### getG

    BigInteger getG()

  Returns the base, `g`.

  Returns:
    the base, `g`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.